Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 237562 - [Tracker] dev-util/netbeans
Summary: [Tracker] dev-util/netbeans
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Miroslav Šulc
URL:
Whiteboard:
Keywords: Tracker
Depends on: 166448 97004 145182 152233 152352 157535 160423 161710 166441 167319 178182 183348 183496 207950 216776 217388 244785 244791 244799 250923 254526 265834 268406 268407 268408 268410 268411 268412 268414 268416 268420 268422 268424 268426 268428 268434 268435 302367 319775 328705 357759 361367 374027 378643 387739 456932 471940 504944
Blocks:
  Show dependency tree
 
Reported: 2008-09-13 11:19 UTC by Miroslav Šulc
Modified: 2019-08-15 06:53 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add java6 use flag (netbeans.patch,491 bytes, patch)
2008-11-22 09:50 UTC, Marek Sapota
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Šulc gentoo-dev 2008-09-13 11:19:36 UTC
This is a tracker bug. Netbeans 6.5 should be released in the middle of October 2008.

Up-to-date info about the ebuild is available at http://overlays.gentoo.org/proj/java/wiki/Netbeans_Maintenance

Currently apisupport, groovy, gsf, harness, ide, j2ee, java, nb and websvccommon clusters are built using system jars instead of the bundled ones (with some exceptions).

Please report any problems you have with netbeans 6.5 so we can release it on time.
Comment 1 Miroslav Šulc gentoo-dev 2008-10-22 02:03:56 UTC
Netbeans 6.5 RC1 in java-experimental overlay. Feel free to test. 'ruby' cluster compilation does not work atm.
Comment 2 Patrick Holthaus 2008-10-23 08:03:58 UTC
netbeans-6.5_rc1 (as well as beta1) depend on >=dev-java/lucene-2.2:2 but there's no slot "2" for lucene. equery list lucene gives:

[I--] [  ] dev-java/lucene-1.4.3-r3 (1)
[I--] [ ~] dev-java/lucene-1.9.1 (1.9)
[I--] [ ~] dev-java/lucene-2.3.2 (2.3)

Not installed lucene-2.1 has slot "2", lucene-2.2 has slot "2.2".

However, by looking at the ebuild, I found a line stating:
dosymcompilejar "libs.lucene/external" lucene-2 lucene-core.jar lucene-core-2.3.2.jar

So I changed the dependency to =dev-java/lucene-2.3.2 (and =dev-java/lucene-2.2*). That won't work either. Installling will fail at 
 * Symlinking compilation-time jars                                                                                                                                                                                  
!!! ERROR: Package lucene-2 was not found!  

I have no experience with an ebuild huge like this one, so this is mainly a test report by a user that wants to use one of the latest netbeans versions.

emerge --info (java-experimental is at Revision: 7135):
ortage 2.2_rc12 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo x86_64)                    
=================================================================                                                                 
System uname: Linux-2.6.27-gentoo-x86_64-Intel-R-_Core-TM-2_CPU_T7200_@_2.00GHz-with-glibc2.2.5                                   
Timestamp of tree: Thu, 23 Oct 2008 06:45:01 +0000                                                                                
ccache version 2.4 [enabled]                                                                                                      
app-shells/bash:     3.2_p39                                                                                                      
dev-java/java-config: 1.3.7, 2.1.6-r1                                                                                             
dev-lang/python:     2.5.2-r8                                                                                                     
dev-util/ccache:     2.4-r8                                                                                                       
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2 -mtune=core2 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.1/env /usr/kde/4.1/share/config /usr/kde/4.1/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=core2 -mtune=core2 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://pandemonium.tiscali.de/pub/gentoo http://pandemonium.tiscali.de/pub/gentoo/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/desktop-effects /usr/local/portage/layman/java-overlay /usr/local/portage/layman/x11 /usr/local/portage/personal /usr/local/portage/java-experimental"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 avahi berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dell dri dv dvb dvd dvdr dvdread eds emboss encode evo fam fbcon ffmpeg fortran gdbm gif gnome gnome-keyring gpm gstreamer gtk gtk2 hal iconv ieee1394 ipv6 isdnlog java java5 java6 jpeg kde kdeprefix kdgraphics kerberos kpathsea laptop ldap libnotify logitech-mouse mad mikmod mmx mp3 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin obex offensive ogg opengl openmp pam pcmcia pcre pdf perl plasma png ppds pppd python qt qt3 qt3support qt4 quicktime readline reflection samba sasl sdl session sndfile spell spl sse sse2 ssl ssse3 startup-notification svg sysfs tcpd tiff truetype unicode usb userlocales v4l v4l2 vorbis wifi x264 xcb xcomposite xine xml xorg xscreensaver xulrunner xv zlib" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="usb-wt220u" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia fbdev vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Miroslav Šulc gentoo-dev 2008-10-23 10:28:56 UTC
Fixed. Thank you for reporting.

lucene:2.2 really exists, but is not installed on your system, but there is also lucene:2.3 slot that I was not aware of.
Comment 4 Patrick Holthaus 2008-10-23 13:57:30 UTC
Thanks as well for fixing it so fast. Netbeans is compiling right now. Just out of curiosity: Where to find the ebuild? It doesn't seem to be in portage, java-overlay, or java-experimental.
Comment 5 Miroslav Šulc gentoo-dev 2008-10-23 14:39:55 UTC
Looking at it, dev-java/lucene has been reslotted from slot 2 to slot 2.2 without new revision, which causes I have lucene:2 on my system:

$ equery list dev-java/lucene
[ Searching for package 'lucene' in 'dev-java' among: ]
 * installed packages
[I--] [  ] dev-java/lucene-1.4.3-r3 (1)
[I--] [ ~] dev-java/lucene-1.9.1 (1.9)
[I--] [ ~] dev-java/lucene-2.2.0 (2)
[I--] [ ~] dev-java/lucene-2.3.2 (2.3)
[I--] [ ~] dev-java/lucene-analyzers-1.9.1-r1 (1.9)
Comment 6 Patrick Holthaus 2008-10-23 15:04:26 UTC
Okay that should explain it fairly well.

Another issue I was facing, is that /usr/share/netbeans-6.5/cnd2/bin/*.sh are not executable, which cause problems with the C/C++ plug-in. Changing permissions (a+x) as root does work, but I wonder whether this could be avoided?
Comment 7 Miroslav Šulc gentoo-dev 2008-10-23 16:33:49 UTC
Fixed. Thanks for another useful report :-)

I also removed non-linux libraries from cnd2/bin directory as I doubt they will be useful for anything on gentoo. Also ant symlinking has been fixed.
Comment 8 Miroslav Šulc gentoo-dev 2008-10-27 20:15:04 UTC
netbeans-6.5 depends on bug #231673 because ant needs tools.jar on its classpath when building 'ruby' cluster.
Comment 9 Patrick Holthaus 2008-11-18 13:40:43 UTC
Apparently, the filename for netbeans-6.5-rc2 has been changed.
it's now
netbeans-6.5rc2-200810270001-ml-src.zip
instead of 
netbeans-6.5rc2-200810270001-src.zip
Comment 10 Miroslav Šulc gentoo-dev 2008-11-18 19:05:55 UTC
Fixed. Thank you for the report :-)
Comment 11 Dennis Schridde 2008-11-19 13:17:23 UTC
http://www.netbeans.org/community/releases/65/relnotes.html makes me believe version 6.5 was released today (out of RC status).
Comment 12 Miroslav Šulc gentoo-dev 2008-11-21 01:17:50 UTC
I just committed netbeans 6.5 ebuild to the main tree so the ebuild should appear at your mirrors within an hour. The ebuild does not contain 'ruby' support but you can download it from netbeans update center.

I will not close this bug as there are still some bundled jars that need to be unbundled and the ruby module should be included too.
Comment 13 Jens Bäckman 2008-11-22 07:11:38 UTC
Any reason why JDK 1.5 is required? The pre-compiled version from netbeans.org seems to run just fine on JDK 1.6.

Also... Is C++ support available?
Comment 14 Marek Sapota 2008-11-22 09:50:30 UTC
Created attachment 172814 [details, diff]
Add java6 use flag

It's not so easy to build netbeans using free software compiler, it's possible to build netbeans with icedtea6 (it's the only compiler that I've been able to successfully build netbeans), it would complain about jdk-1.6 though as it expects to be built with 1.5 one. I've added java6 use flag to current ebuild to allow install with jdk-1.6. It would be nice if such feature was added into official ebuild (there already is such option in eclipse ebuild).
Comment 15 Miroslav Šulc gentoo-dev 2008-11-22 12:07:50 UTC
Upstream restricts compilation to use only jdk 1.5, compiling netbeans using jdk 1.6 is not supported by them (afaik) so it can be enabled using -Dpermit.jdk6.builds=true as Marek Aaron Sapota noted. But that does not mean you cannot run netbeans using jdk 1.6, nor does it mean you cannot develop apps using jdk 1.6 or even jdk 1.4.

Because upstream does not support building netbeans using jdk != 1.5, I do not plan to add this feature to our ebuild, unless it is needed for some arch where no other possibility is available.

Netbeans calls cluster/module that contains c++ support 'cnd' so you can enable this to make c++ support available in netbeans.

Because of bug in portage utils 'equery uses netbeans' does not show USE flag descriptions, but you can find these in /desc/netbeans_modules.desc.
Comment 16 Marek Sapota 2008-11-22 13:32:23 UTC
There should be some supported way to install netbeans using free software compiler and I don't see any other way than using icedtea6. For now gcj dies because it has not enough memory.
Comment 17 Miroslav Šulc gentoo-dev 2008-11-22 14:15:57 UTC
I can try to discuss that with upstream to find out what the problems could be.
Comment 18 Miroslav Šulc gentoo-dev 2008-11-22 18:15:11 UTC
So I got answer from Jaroslav Tulach from Sun that they use JDK 1.6 to compile netbeans on Mandriva so I lowered the restriction for compilation JDK to >= 1.5. I also fixed commons-fileupload linking problem so I had to release -r1.

So, for compilation the preffered JDK is used but still 1.5 bytecode is created so even if netbeans is compiled with JDK 1.6, it should be able to run using JDK 1.5.
Comment 19 Pavel Bazika 2008-11-23 11:35:18 UTC
When compiling netbeans-6.5-r1 with NETBEANS_MODULES="php gsf ide websvccommon" compilation fails with error:

release:

verify-class-linkage:

netbeans:
  [genlist] Generating information for Auto Update...
  [nbmerge] /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans
  [nbmerge] builtmodules=[libs.javacup, php.dbgp, php.editor, php.help, php.kit, php.project, php.refactoring, php.samples, websvc.saas.codegen.php]
  [nbmerge] builttargets=[-jdk-pre-preinit, -jdk-preinit, -jdk-warn, -jdk-presetdef-basic, -jdk-default, -jdk-init, assure-ant, -load-build-properties, bootstrap, init-module-list, set-buildnumber, init-tasks, init, all-libs.javacup, all-php.project, all-php.editor, all-php.dbgp, all-php.help, all-php.kit, all-php.refactoring, all-php.samples, all-websvc.saas.codegen.php]
    [touch] Creating /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/nb.cluster.php.built

build-one-cluster-check:

build-one-cluster:

build-nozip:
    [mkdir] Created dir: /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/bin
     [copy] Copying 1 file to /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/bin
     [copy] Copying 1 file to /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/bin
     [copy] Copying 1 file to /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/bin
    [mkdir] Created dir: /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/etc
     [copy] Copying 1 file to /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/etc
     [copy] Copying 1 file to /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/etc
     [echo] /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/platform9/lib/nbexec

BUILD FAILED
java.io.FileNotFoundException: /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/nb6.5/build_info (No such file or directory)
        at java.io.FileOutputStream.open(Native Method)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:179)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:102)
        at java.io.FileWriter.<init>(FileWriter.java:61)
        at org.apache.tools.ant.taskdefs.Echo.execute(Echo.java:67)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor1.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:357)
        at org.apache.tools.ant.Target.performTasks(Target.java:385)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1337)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1306)
        at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1189)
        at org.apache.tools.ant.Main.runBuild(Main.java:758)
        at org.apache.tools.ant.Main.startAnt(Main.java:217)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:257)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:104)

Total time: 2 minutes 3 seconds
 *
 * ERROR: dev-util/netbeans-6.5-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4216:  Called eant '-Dstop.when.broken.modules=true' '-Dpermit.jdk6.builds=true' '-Dbuild.compiler.deprecation=false' '-Dnb.clusters.list=nb.cluster.platform,nb.cluster.gsf,nb.cluster.ide,nb.cluster.php,nb.cluster.websvccommon' '-f' 'nbbuild/build.xml' 'build-nozip'
 *             environment, line  951:  Called die
 * The specific snippet of code:
 *       ant ${antflags} "${@}" || die "eant failed"
 *  The die message:
 *   eant failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/dev-util:netbeans-6.5-r1:20081123-111647.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/netbeans-6.5-r1/temp/environment'.
 *
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.10"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER="javac"

My emerge --info:
Portage 2.2_rc15 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.24-gentoo-r8-i686-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-glibc2.0
Timestamp of tree: Sun, 23 Nov 2008 10:45:02 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.6.2
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -fomit-frame-pointer -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -fomit-frame-pointer -march=prescott -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.mirror.web4u.cz http://gentoo.supp.name rsync://ftp.fi.muni.cz/pub/linux/gentoo"
LANG="cs_CZ.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="cs"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="16bit X a52 aac acl acpi alsa amarok amazon aotuv apache2 audacious automount bash-completion berkdb bidi binary-drivers bindist bittorrent branding bzip2 cdaudio cdda cdinstall cdparanoia cdr cdrom chm cjk cli color-console colordiff cpudetection cracklib crypt cscope css cups cupsddk cvs cvsgraph dbus dga directfb disk-partition divx djvu dnotify doc dri dv dvd dvdr emoticon enca encode eolconv epson exif fastbuild fat fbcon fbcondecor fbsplash ffmpeg fftw firefox flac fontforge fortran ftp fuse gd gdbm geoip gif gimp git gkrellm glibc-omitfp gmedia gpg gpm grub gs gutenprint hal hou hpn htmlhandbook ia32 icon icons iconv icq icu id3 id3tag ide ieee1394 imagemagick imlib inotify ipv6 isdnlog jack java javascript jikes jpeg jpeg2k kde kdrive kino kmid lame langpacks levels libnotify linuxthreads-tls lirc lircsettings live livebuffer lm_sensors matroska matrox mdnsresponder-compat memlimit midi mime mixer mjpeg mmx mmxext mng mouse mozdevelop mozdom mozilla moznoirc mp2 mp3 mp4 mp4live mpeg mpeg2 mplayer mudflap multislot musepack music musicbrainz mysql ncurses nemesi net network nls nocd nowin nowlistening nptl nptlonly nsplugin ntfs nuv office ogg opengl openmp openssh pam pascal pcre pdf perl php plasma pmount pmu png pop posix ppds pppd print privacy ps pulseaudio python qt3 qt3support qt4 quicktime radio rar raw rdesktop readline realmedia reflection reiserfs replaygain replytolist roe rss rtc rtf sametime scanner scenarios sdl sdl-image sdlaudio semantic-desktop sensord session skins sms sou sound sounds spell spl sqlite sqlite3 srt sse sse2 ssl ssse3 stroke subtitles subversion suid svg svg-experimental svgz sysfs syslog systray sysvipc taglib tagwriting tcpd teletext texteffect textures tga theora threads threadsafe tiff timidity transcode trayicon truetype tse3 tta twolame ui unicode urlpicpreview usb userlocales v4l v4l2 vdr vhosts video videos vidix vim-with-x visualization vnc volctrl vorbis vorbis-psy wav wavpack win32codecs wma wmf wmp x264 x86 xatrix xcomposite xext xine xinerama xml xmp xorg xpm xrandr xv xvid xvmc zip zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="fuji" ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs" LIRC_DEVICES="devinput" NETBEANS_MODULES="php gsf ide websvccommon nb harness" USERLAND="GNU" VIDEO_CARDS="i810 fbdev v4l nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

It seems like nb MODULE is needed, but there is another error - see next comment.

Finally I've managed to compile it fine with almost all NETBEANS_MODULES enabled (without mobility, because there is some problem with jakarta).
Comment 20 Pavel Bazika 2008-11-23 11:38:15 UTC
So this is the error caused while building netbeans-6.5-r1 with NETBEANS_MODULES="php gsf ide websvccommon nb harness" that I talked about in comment #19:

default.init:
[propertyfile] Updating property file: /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/moduleCluster.properties

common-init:

-jdk-pre-preinit:

-jdk-preinit:

-jdk-warn:

-jdk-presetdef-basic:

-jdk-default:

-jdk-init:

basic-init:

-release.dir:

projectized-common.-release.files:

-release.files:

files-init:

jdk-5-check:

build-init:

BUILD FAILED
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:298: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/templates/projectized.xml:87: No such classpath entry: /var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/netbeans/java2/modules/org-netbeans-libs-javacimpl.jar

Total time: 2 minutes 11 seconds
 *
 * ERROR: dev-util/netbeans-6.5-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4230:  Called eant '-Dstop.when.broken.modules=true' '-Dpermit.jdk6.builds=true' '-Dbuild.compiler.deprecation=false' '-Dnb.clusters.list=nb.cluster.platform,nb.cluster.gsf,nb.cluster.harness,nb.cluster.ide,nb.cluster.nb,nb.cluster.php,nb.cluster.websvccommon' '-f' 'nbbuild/build.xml' 'build-javadoc'
 *             environment, line  951:  Called die
 * The specific snippet of code:
 *       ant ${antflags} "${@}" || die "eant failed"
 *  The die message:
 *   eant failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/dev-util:netbeans-6.5-r1:20081123-112722.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/netbeans-6.5-r1/temp/environment'.
 *
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.10"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER="javac"

My emerge info is in the comment #19.
Comment 21 Miroslav Šulc gentoo-dev 2008-11-23 17:10:15 UTC
The bug in comment #19 should be fixed now.

I cannot reproduce the bug from comment #20, but I use slightly different ebuild that I just committed to the main tree. Please retry with the updated ebuild (it's still netbeans-6.5-r1, you just need the latest one) and if the problem still occurs, create new bug and add it as a blocker of this bug. This bug is only for tracking purposes and no bug reports should go here now.

Also, please see http://en.gentoo-wiki.com/wiki/Netbeans that I created today to make installation of netbeans easier. You may find some useful info there.
Comment 22 Pavel Bazika 2008-11-24 20:06:28 UTC
Bug in comment #19 is fixed with new ebuild. Bug in comment #20 still persist, I'll file a bug after some testing.
Comment 23 Igor 2008-11-28 17:22:59 UTC
Since 6.5 ebuild hit tree I try to build it every day but I still get the same error:

xjc-init:

model-gen:
      [xjc] /var/tmp/portage/dev-util/netbeans-6.5-r1/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/jaxb is not found and thus excluded from the dependency check
      [xjc] Compiling file:/var/tmp/portage/dev-util/netbeans-6.5-r1/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/SaasServices.xsd
  [nbmerge] Failed to build target: all-websvc.saas.api

BUILD FAILED
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:713: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:708: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:743: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:726: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:708: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:743: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:726: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:708: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/nbbuild/build.xml:754: The following error occurred while executing this line:
/var/tmp/portage/dev-util/netbeans-6.5-r1/work/websvc.saas.api/build.xml:65: java.lang.NoClassDefFoundError: com/sun/xml/bind/v2/runtime/JAXBContextImpl

Total time: 2 minutes 20 seconds
 * 
 * ERROR: dev-util/netbeans-6.5-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4224:  Called eant '-Dstop.when.broken.modules=true' '-Dpermit.jdk6.builds=true' '-Dbuild.compiler.deprecation=false' '-Dnb.clusters.list=nb.cluster.platform,nb.cluster.apisupport,nb.cluster.cnd,nb.cluster.harness,nb.cluster.ide,nb.cluster.java,nb.cluster.nb,nb.cluster.websvccommon,nb.cluster.xml' '-f' 'nbbuild/build.xml' 'build-nozip'
 *             environment, line  944:  Called die
 * The specific snippet of code:
 *       ant ${antflags} "${@}" || die "eant failed"
 *  The die message:
 *   eant failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-util/netbeans-6.5-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/netbeans-6.5-r1/temp/environment'.
 * 
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.10"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER="javac"
and of course, the output of emerge --info

Portage 2.1.6_rc2 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r1-i686-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-glibc2.0
Timestamp of tree: Fri, 28 Nov 2008 15:45:01 +0000
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r9, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -msse3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS=" http://gentoo.prz.rzeszow.pl ftp://mirror.icis.pcz.pl/gentoo http://gentoo.prz.rzeszow.pl ftp://sunsite.icm.edu.pl/pub/Linux/sunsite.unc.edu/distributions/gentoo ftp://ftp.sh.cvut.cz/MIRRORS/gentoo/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo http://distfiles.gentoo.org"
LANG="pl_PL.UTF8"
LC_ALL="pl_PL.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="pl en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X Xaw3d a52 aac ace acl acpi alsa apache2 arj asf avi bzip2 cairo cdr cli cracklib crypt cups custom-cflags custom-optimization dbus dga dirac djvu dts dv dvd dvdr dvdread dxr3 encode fam ffmpeg firefox flac fontconfig fortran gd gdbm ggi gif glitz gnutls gpm gstreamer gtk gtk2 hal iconv idn imlib ipv6 isdnlog jabber java6 jbig jikes jp2 jpeg jpeg2k kdeenablefinal ladspa lame lcms lha libg++ libwww lm_sensors lzo mad matroska midi mikmod mmx mmxext mng motif mp3 mpeg mudflap musepack musicbrainz ncurses nls nptl nptlonly nsplugin nvidia ogg openal opengl openmp pam pango pcre pdf perl png ppds pppd python quicktime rar readline realmedia reflection rpm schroedinger sdl session smp sndfile speex spl sse sse2 sse3 ssl startup-notification svg svga sysfs tcltk tcpd theora threads tiff timidity truetype udev unicode usb vcd videos vorbis wavpack win32codecs wma wmf wxwindows x264 x86 xcb xforms xml xml2 xorg xpm xslt xv xvid yv12 zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl en" NETBEANS_MODULES="apisupport cnd harness ide java nb websvccommon xml" USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 24 Miroslav Šulc gentoo-dev 2008-11-28 18:07:06 UTC
Please file it as a separate bug. Thank you.
Comment 25 Francisco José Cañizares Santofimia 2008-11-30 00:46:12 UTC
(In reply to comment #23)
> Since 6.5 ebuild hit tree I try to build it every day but I still get the same
> error:

Interestingly I have that problem too when compiling netbeans.
Comment 26 Igor 2008-11-30 19:32:58 UTC
(In reply to comment #24)
> Please file it as a separate bug. Thank you.

Done. http://bugs.gentoo.org/show_bug.cgi?id=249412
Comment 27 Serkan Kaba (RETIRED) gentoo-dev 2008-11-30 20:24:30 UTC
(In reply to comment #26)
> (In reply to comment #24)
> > Please file it as a separate bug. Thank you.
> 
> Done. http://bugs.gentoo.org/show_bug.cgi?id=249412
> 

Adding as a blocker
Comment 28 vhusainov 2008-12-03 07:03:20 UTC
jaxws-tools symlink (/usr/share/netbeans-6.5/java2/modules/ext/jaxws21/jaxws-tools.jar) is wrong. It points to /usr/share/jaxb-tools-2/lib/jaxb-tools.jar, but should point to /usr/share/jax-ws-tools-2/lib/jax-ws-tools.jar.
Comment 29 Miroslav Šulc gentoo-dev 2008-12-03 23:53:35 UTC
(In reply to comment #28)
> jaxws-tools symlink
> (/usr/share/netbeans-6.5/java2/modules/ext/jaxws21/jaxws-tools.jar) is wrong.
> It points to /usr/share/jaxb-tools-2/lib/jaxb-tools.jar, but should point to
> /usr/share/jax-ws-tools-2/lib/jax-ws-tools.jar.
> 

fixed in -r2. thank you for reporting. next time pls file separate bug, this is tracker bug, not a direct container for all bugs related to netbeans. thank you.
Comment 30 Miroslav Šulc gentoo-dev 2019-08-15 06:53:03 UTC
it's obsolete now as netbeans is being removed from the main tree. if you need netbeans, see bug #685782.